

/****** NAV BAR ********/

a.navbar-brand {
  color: #343a40 !important; /* bs-gray-800 */
}

.dropdown-menu {
  left: auto !important;  
}

button.nav-link {
  font-family: 'montserrat_alternatesregular';
}

a.nav-link.dropdown-item {
  position: relative !important;
  right: 0;
  left: 0 !important;
}

a.nav-link.dropdown-item:focus, a.nav-link.dropdown-item:hover {
  position: relative !important;
  right: 0;
  color: #000 !important;
  background-color: #eee !important;
} 

.dropdown-item.active {
  background-color: #eeeeee7f !important;
}

.btn-link {
  --bs-btn-color: #000 !important;
  --bs-btn-hover-color: #000 !important;
  --bs-btn-active-color: #000 !important;
  text-decoration: none !important;
}

/****** Screens XS/SM/MD *****/
/* Border on drop-down menu on Smaller Screens */
@media only screen and (max-width: 991px){
  ul.dropdown-menu {             /**** NAV ITEM *****/
  max-width: 400px !important;
    }
  .dropdown-item.active {         /**** NAV ITEM *****/
  border-radius: 5px !important;
  padding: 0.8rem !important; 
    }
    .dropdown-item {         /**** NAV ITEM *****/
  border-radius: 5px !important;
  padding: 0.5rem !important; 
    }
}  

/*** BORDER ON MD/LG/XL Screens - Greater than 768px ******/
@media only screen and (min-width: 768px){
  /***** HOMEPAGE ITEM ******/
#border {
  border-left-style: solid;
  border-left-width: thin;
  border-left-color:  #64646473 !important;
  }
}

/***** FONT STYLE ******/

@font-face {
    font-family: 'montserrat_alternatesregular';
    src: url('https://ksusick.github.io/font/montserratalternates-regular-webfont.woff2') format('woff2'),
         url('https://ksusick.github.io/font/montserratalternates-regular-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

body {
  font-family: Tahoma, system-ui, -apple-system, Verdana, sans-serif;
  margin: 0;
  background-color: white !important;
}

a {
  font-family: 'montserrat_alternatesregular';  /***** NAV ITEM *****/
}

h1 {
  font-family: 'montserrat_alternatesregular';
  letter-spacing: 6px;
}

h2 {
  font-family: 'montserrat_alternatesregular';
  letter-spacing: 6px;
  text-align: center;
}

h3 {
  font-family: 'montserrat_alternatesregular';
}

h4 {
  font-family: 'montserrat_alternatesregular';
  letter-spacing: 6px;
  text-align: center;
}

h5 {
  font-family: 'montserrat_alternatesregular';
}

footer p {
  font-family: 'montserrat_alternatesregular';
  font-size: 0.8rem;
  text-align: center;
  padding: 0;
}

p {
  font-family: Tahoma, system-ui, -apple-system, Verdana, sans-serif;
  padding-left : 1rem;
  /*text-align: justify;*/
  line-height: 1.5;
}
 
/***** HOME PAGE ITEM ****/
 a.external {
  color: rgb(138, 138, 138) !important;
  font-size: 0.9rem; 
}

 ul.link li{
/*   list-style-type: circle;  */
  list-style-type: none; 
  padding-top: 1rem;
   }


/******* SLIDESHOW HOMEPAGE *********/

* {box-sizing: border-box;}
body {font-family: Tahoma, system-ui, -apple-system, Verdana, sans-serif;}
.mySlides {display: none;}
img {vertical-align: bottom !important;}

/* Slideshow container */
.slideshow-container {
  max-width: 2000px;
  position: relative;
  margin: auto;
  padding: 0;
}

.prev,
.next {
    cursor: pointer;
    position: absolute;
    top: 50%;
    width: auto;
    margin-top: -22px;
    padding: 16px;
    color: white;
    font-weight: bold;
    font-size: 25px;
    transition: .7s ease;
    text-decoration: none;
    }

.next {
  right: 0;
  border-radius: 8px 0 0 8px;   
}

.prev {
    left: 0;
    border-radius: 0 8px 8px 0;
}

.prev:hover,
.next:hover {
    color: #f2f2f2;
    background-color: rgba(0, 0, 0, 0.8)
}

/* Caption text */
.text {
  color: #f2f2f2;
  font-size: 18px;
  padding: 8px 12px;
  position: absolute;
  bottom: 20px;
  right: 20px;
  width: 100%;
  text-align: right;
}

/* The dots/bullets/indicators */

.dots {
    position: relative;
    bottom: 35px;
    text-align: center;
}

.dot {
    cursor: pointer;
    height: 8px;
    width: 8px;
    margin: 0 6px;
    background-color: #bbb;
    border-radius: 50%;
    display: inline-block;
    transition: background-color .6s ease;
}

.active,
.dot:hover {
    background-color: #ffffff;
}

/* Fading animation */
.fade {
  animation-name: fade;
  animation-duration: 8s;
/*   transition: left 0.15s ease-in;
    -webkit-transition: left 0.15s ease-in; */
    -webkit-transition: left 0.15s ease-out;
    transition: left 0.15s ease-out;
}

@keyframes fade {
  from {opacity: .4} 
  to {opacity: 1}
}

/***** On Smaller Screens *****/
@media only screen and (max-width: 767px) {
  .text {
    font-size: 15px;
    padding: 0;
  }
  .dots {
    opacity: 0.0;
  }
}

/******* ACCESSIBILITY *******/

/* smooth scrolling effect */
html {
    scroll-behavior: smooth;
}

/* for users who prefer minimal or no motion */
@media (prefers-reduced-motion) {
   html{
      scroll-behavior: auto;
    }
}

@media (prefers-reduced-motion: reduce) {
  * {
    animation: none !important;
    transition: none !important;
  }
}

/* Styles for dark mode, applied when user prefers dark scheme */
@media (prefers-color-scheme: dark) {
  body {
    background-color: black;
    color: white;
  }
}
